*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}


/* Navigation bar section*/
.hamburger{
    display: none;
    margin-left: auto;
    cursor: pointer;
}
.bar1, .bar2, .bar3 {
    width: 35px;
    height: 6px;
    background-color:white;
    margin: 5px 0;
    transition: 0.4s;
}
.change .bar1 {
    transform: translate(0, 11px) rotate(-45deg);
}
.change .bar2 {opacity: 0;}

.change .bar3 {
    transform: translate(0, -11px) rotate(45deg);
  }
.navbar{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.8);
    position: sticky;
    top: 0;

}

.navbar ul{

    display: flex;
    list-style: none;
    margin: 20px 0px;

}
.navbar ul li{

    font-family:century;
    font-size: 1.1rem;
    font-weight: bold;

}
.navbar ul li a{
    text-decoration: none;
    color: white;
    padding: 8px 25px;
    transition: all .5s ease;
}
.navbar ul li a:hover{
    background-color:white ;
    color: black;
    box-shadow:0 0 10px white ;
}

/*Home Section*/

#home{
    height: 900px;
    width: 100%;
    display: flex;
    background-color: rgba(0, 0, 0, 0.4);
    flex-direction: column;
    justify-content: center;
    color: white;
}

#home::after  {
    content: "";
    background: url(with_back.png) no-repeat center center/cover;
    height: 900px;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: .8;
}
#main{
    
    display: flex;
    flex-direction: column;
    align-items: center;
    position:absolute;
    top: 20%;
    left: 3%;
}
#home h1{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
   font-size: 40px;
   margin-left: -10px;
   color: transparent;
   -webkit-text-stroke: 1px #fff;
   background:url(back.png);
   -webkit-background-clip: text;
   background-position: 0 0 ;
   animation: back 20s linear infinite;
}
@keyframes back{
    100%{
        background-position: 4000px 0 ;
    }
}

#home h2{
    font-family: sans-serif;
    margin-left: 60%;
    margin-bottom: 40%;
}
#home h2 span {
    position: relative;
    top: 20px;
    display: inline-block;
    -webkit-animation: bounce 0.3s ease infinite alternate;
    font-size: 80px;
    color: #fff;
    text-shadow: 0 1px 0 #ccc, 0 2px 0 #ccc, 0 3px 0 #ccc, 0 4px 0 #ccc,
      0 5px 0 #ccc, 0 6px 0 transparent, 0 7px 0 transparent, 0 8px 0 transparent,
      0 9px 0 transparent, 0 10px 10px rgba(0, 0, 0, 0.4);
  }

  #home h2 span:nth-child(2) {
    -webkit-animation-delay: 0.1s;
  }
 #home h2 span:nth-child(2) {
    -webkit-animation-delay: 0.1s;
  }
  
 #home h2 span:nth-child(3) {
    -webkit-animation-delay: 0.2s;
  }
  
  #home  h2 span:nth-child(4) {
    -webkit-animation-delay: 0.3s;
  }
  
  #home h2 span:nth-child(5) {
    -webkit-animation-delay: 0.4s;
  }
  
  #home h2 span:nth-child(6) {
    -webkit-animation-delay: 0.5s;
  }
  
  #home h2 span:nth-child(7) {
    -webkit-animation-delay: 0.6s;
  }
  
  #home h2 span:nth-child(8) {
    -webkit-animation-delay: 0.2s;
  }
  
 #home h2 span:nth-child(9) {
    -webkit-animation-delay: 0.3s;
  }
  
 #home h2 span:nth-child(10) {
    -webkit-animation-delay: 0.4s;
  }
  
  #home h2 span:nth-child(11) {
    -webkit-animation-delay: 0.5s;
  }
  
  #home h2 span:nth-child(12) {
    -webkit-animation-delay: 0.6s;
  }
  
  #home h2 span:nth-child(13) {
    -webkit-animation-delay: 0.7s;
  }
  
 #home h2 span:nth-child(14) {
    -webkit-animation-delay: 0.8s;
  }
  #home h2 span:nth-child(15) {
    -webkit-animation-delay: 0.9s;
  }
  #home h2 span:nth-child(16) {
    -webkit-animation-delay: 1.0s;
  }
  
  /* ANIMATION */
  @-webkit-keyframes bounce {
    100% {
      top: -20px;
      text-shadow: 0 1px 0 #ccc, 0 2px 0 #ccc, 0 3px 0 #ccc, 0 4px 0 #ccc,
        0 5px 0 #ccc, 0 6px 0 #ccc, 0 7px 0 #ccc, 0 8px 0 #ccc, 0 9px 0 #ccc,
        0 50px 25px rgba(0, 0, 0, 0.2);
    }
  }
  




.headings{
    font-family: century;
    font-size: 3rem;
    text-align: center;
    margin: 40px 0px;
}
#btn{
    padding:10px 35px;
    border-radius: 10px;
    background-color: transparent;
    border: 1px solid white;
    color: white;
    outline: none;
    transition: .6s ease;
}
#btn:hover{
    cursor: pointer;
    background-color: white;
    color: black;
    box-shadow: 0 0 5px white,0 0 10px white,0 0 15px white;
    font-weight: bold;
}


/*About section*/
#about{

    display: flex;
    background-color: rgba(0, 0, 0, 0.8);
    flex-direction: column;
    box-sizing: border-box;
    padding: 20px;
    margin-bottom: 50px;
    color: white;

}
#pic{
    display: flex;
}
#pic img{
    margin-top: -10%;
    width: 480px;
    height: 400px;
}
#intro{
    display: flex;
    flex-direction: column;
    text-align: justify;
    padding: 10px;
}
#intro h2{
    font-size: 1.2rem

}

#magic{
    padding:10px;
    width: 60%;
    height: 20%;
    margin: 10px;
    border:none;
    border-radius: 15px;
    outline:none; 
}
#magic:hover{
    cursor:pointer;
    box-shadow: 0 0 10px white;
}
    
/*Projects Section*/

#projects{
 
    display: flex;
    flex-direction:column;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    background-color:rgba(0, 0, 0, 0.6);
    padding: 20px;
    color: white;


}
.gallery {    
    margin-top: 0%;
    flex-wrap: wrap;
    display: flex;
 
    justify-content: space-around;
    box-sizing: border-box;
}
.gallery img{
    padding: 60px;
    border-radius: 15px;
    width:300px;
  
}

.antena-left{
    width: 7px;
    height: 4rem;
    background-color: rgb(164,198,57);
    transform: rotate(340deg);
    position:absolute;
    left: 6rem;
    top: -3rem;
    border-radius: 12px;
}
.antena-right{
    width: 7px;
    height:4rem;
    background-color: rgb(164,198,57);
    transform: rotate(23deg);
    position:absolute;
    right: 6rem;
    top: -3rem;
    border-radius: 12px;
}

.and-body{
    width: 17rem;
    height: 17rem;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

}
.body-center{
    width: 9rem;
    height: 8rem;
    background-color:rgb(164,198,57);
    border-radius: 2px 2px 16px 16px;
    top: 62px;
}
.hand-left{
    width:2rem;
    height: 7rem;
    background-color: rgb(164,198,57);
    position: absolute;
    left: 27px;
    top: 64px;
    border-radius: 22px;
}
.hand-right{
    width:2rem;
    height: 7rem;
    background-color: rgb(164,198,57);;
    position: absolute;
    right:27px;
    top: 64px;
    border-radius: 22px;
}

.bottom-left{
    width: 2rem;
    height: 4rem;
    background-color: rgb(164,198,57);
    position: absolute;
    left: 86px;
    top: 174px;
    border-radius: 22px;
}
.bottom-right{
    width: 2rem;
    height: 4rem;
    background-color: rgb(164,198,57);
    position: absolute;
    right: 86px;
    top: 174px;
    border-radius: 22px;
}



.head-top{
    position:absolute;
    top: -21px;
    width: 9rem;
    height: 5rem;
    display: flex;
    background-color: rgb(164,198,57);
    justify-content: space-around;
    align-items: center;
    border-radius: 75px 77px 6px 6px;
}

.head-top .eyes-1{
    width: 17px;
    height: 0px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.6);
    animation: eyesanimation 0.5s linear infinite;
}
.head-top .eyes-2{
    width: 17px;
    height: 0px;
    border-radius: 50%;
    background-color: rgba(0, 0, 0, 0.6);
    animation: eyesanimation 0.5s linear infinite;
}
@keyframes eyesanimation{
    0%, 100%{
        height: 17px;
    }
    20%{
        height: 17px;
    }
    40%{
        height: 17px;
    }
    60%{
        height: 17px;
    }
    80%{
        height: 0px;
    }
}





/*Services section*/

#services{
    display: flex;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0.9);
    padding: 20px;
}
#services h1{
  color: white;
}

.row{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}
.box{
    display: flex;
    flex-direction: column;
    width: 350px;
    height: 450px;
    border: 1px solid black;
    margin: 10px;
    align-items: center;
    text-align: justify;
    padding: 10px;
    border-radius: 15px;
    background: linear-gradient(to top,rgb(165, 199, 54)50%,white 50%);
    background-size: 100% 200%;
    transition: all .8s;
    
}
.box:hover{
    background-position: left bottom ;
    color: white;
    border: none;
    box-shadow: 0 0 20px rgb(165, 199, 54)

}
.box img{
    width:80px;
    height: 80px;
    background-color: white;
    padding: 10px;

}

  #link{
    font-family:'Times New Roman', Times, serif;
    padding:10px 35px;
    background-color: transparent;
    border: 3px solid green;
    border-radius: 50px;
    -webkit-transition: all .15s ease-in-out;
    transition: all .15s ease-in-out;
    color:black;    
  }
  #link:hover{
    cursor: pointer;
    box-shadow: 0 0 10px 0 #00d7c3 inset, 0 0 20px 2px #00d7c3;
    border: 3px solid #00d7c3;
  }



/*Cats section*/
#cats{
    background-image: linear-gradient( 180deg,  rgba(247,247,247,1) 23.8%,  green  92% );
	font-family: 'Open Sans', sans-serif;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	height: 100vh;
	margin: 0;
}

.results {
	display: flex;
	align-items: center;
	justify-content: center;
}
.result {
	background-color: #fff;
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 10px;
	height: 400px;
	width: 300px;
}
.result img {
	object-fit: cover;
	height: 100%;
	width: 100%;
}
.buttons {
	display: flex;
	align-items: center;
	justify-content: center;
}
button {
    background-color:orange;
    border: 0;
    border-radius: 4px;
    color: #fff;
    font-size: 18px;
    padding: 10px;
    margin: 10px;
    width: 300px;
}
button:active {
	transform: scale(0.98);
}
button:focus {
	outline: none
}

/* Contact Section */

#contact{
   
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.6);
    color: white;

}
.form{
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    border-radius: 15px;
    align-items: center;
    margin: 20px 0px;
}
.input{
    padding: 12px;
    margin: 15px;
    width: 30%;
    border-radius: 15px;
    border:none;
    outline:none;
}
#msg{
    width:20%;
    border-radius: 15px;
    padding: 10px;
    margin:15px ;
    border: none;
    outline: none;
}
#send{
    padding:10px;
    width: 10%;
    margin: 10px;
    border:none;
    border-radius: 15px;
    outline:none;
}
#send:hover{
    cursor:pointer;
    box-shadow: 0 0 10px white;
}
#snackbar {
    visibility: hidden; 
    min-width: 250px;
    background-color: #333;
    color: #fff;
    text-align: left;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1; 
    left: 10px;
    bottom: 30px;
}
  
.show-bar {
    visibility: visible !important;
    animation: fadein 0.5s, fadeout 0.5s 1s;
}
  








  




